## org.apache.hadoop.mapred
Interface JobTrackerMXBean

All Known Implementing Classes:
  JobTracker

    public interface JobTrackerMXBean

The MXBean interface for JobTrackerInfo

Method Summary
`String` `getAliveNodesInfoJson()`
`String` `getBlacklistedNodesInfoJson()`
`String` `getConfigVersion()`
`String` `getGraylistedNodesInfoJson()`
`String` `getHostname()`
`String` `getQueueInfoJson()`
`String` `getSummaryJson()`
`int` `getThreadCount()`
`String` `getVersion()`

Method Detail

### getHostname

    String getHostname()

  Returns:
    hostname of the jobtracker

### getVersion

    String getVersion()

  Returns:
    version of the code base

### getConfigVersion

    String getConfigVersion()

  Returns:
    the config version (from a config property)

### getThreadCount

    int getThreadCount()

  Returns:
    number of threads of the jobtracker jvm

### getSummaryJson

    String getSummaryJson()

  Returns:
    the summary info in json

### getAliveNodesInfoJson

    String getAliveNodesInfoJson()

  Returns:
    the alive nodes info in json

### getBlacklistedNodesInfoJson

    String getBlacklistedNodesInfoJson()

  Returns:
    the blacklisted nodes info in json

### getGraylistedNodesInfoJson

    String getGraylistedNodesInfoJson()

  Returns:
    the graylisted nodes info in json

### getQueueInfoJson

    String getQueueInfoJson()

  Returns:
    the queue info json

Copyright © 2009 The Apache Software Foundation